/**
    ******************************************************************************
    * @file
    * @author
    * @version
    * @date
    * @brief
    * @function List:
    ******************************************************************************
    * @attention
    *
    *
    * <h2><center>&copy; COPYRIGHT 2021 </center></h2>
    ******************************************************************************
    * @History:
    * @Author:
    * @Data:
    * @Version:
*/


/*******************************************************************************
*   Includes
*******************************************************************************/
#include "CanTp.h"
#include "CanTp_Cfg.h"
#include "boot_app.h"


const CanTp_RxNsduCfgType CanTp_RxNsduCfg[];
const CanTp_TxNsduCfgType CanTp_TxNsduCfg[];
const CanTpChannelModeType CanTpChannelMode[CANTP_CHANNELS];
const CanTp_CfgType CanTp_Cfg =
{
    CanTp_RxNsduCfg /* Pointer to RxNsdu-cfg-table */,
    CanTp_TxNsduCfg /* Pointer to TxNsdu-cfg-table */,
    CanTpChannelMode /* Extended SDU indirection table */,
};


const CanTp_RxNsduCfgType CanTp_RxNsduCfg[CANTP_NUM_RX_SDUS] =
{
{
    0 /*Tp Channel Num ͨid*/,   //ĿǰTPһchannel  --ĿǰtpӶ
    0 /* CANTP_RXNPDU_ID; from  CanIf */,  // CanIfRxPduConfig е CanIfRxPduUpperLayerHandle   /* CanIfRxPduUpperLayerHandle ----TPӵPDU*/
    ADPT_UDS_TX_HANDLE /* CANTP_TXFC_NPDU_ID; to CanIf */,  //Ҫl쑪 lfӵ pdu id  CanIfTxPduConfig еbufidҿûи
    1u /* CANTP_DL */,  //ԓСҪյL
    150 /* CANTP_NAR */,     //շ·Ӱl͵ĕrg;  λmaintpfunction{
    10 /* CANTP_NBR */,     //շlƎgʱg  λmaintpfunction{
    150 /* CANTP_NCR */,    //շBmĵȴrgλmaintpfunction{
    CANTP_ON /* CANTP_PADDING_ACTIVATION */,   //ஔ Ƿ񼤻
    CANTP_PHYSICAL /* CANTP_TA_TYPE */,     //팤ַ
    CANTP_STANDARD /* CANTP_ADDRESSING_FORMAT */,   //CAN ַ Ø˜ʵַ
    0 /* CANTP_BS */,       //؎SһBml͵CFĔ 0ʾٟoƎoƣ
    10 /* CANTP_STMIN */,   //؎Сgrg10ʾ10ms
    1 /* CANTP_WFTMAX */,   //շBmlͶقȴFC
    CANTP_UNUSED /* CANTP_RX_NAE */,        //όַģʽrĔUչַ
    CANTP_UNUSED /* CANTP_RX_NSA */,        //όַģʽrԴַ
    CANTP_UNUSED /* CANTP_RX_NTA */,         //όַģʽrĿ˵ַ
},
{
    0 /*Tp Channel Num ͨid*/,      //ĿǰTPһchannel --ĿǰtpӶ 
    1 /* CANTP_RXNPDU_ID; from  CanIf */,  // CanIfRxPduConfig е CanIfRxPduUpperLayerHandle   /* CanIfRxPduUpperLayerHandle ----TPӵPDU*/
    ADPT_UDS_TX_HANDLE /* CANTP_TXFC_NPDU_ID; to CanIf */,   //Ҫl쑪 lfӵ pdu id  CanIfTxPduConfig еbufidҿûи
    1u /* CANTP_DL */,       //ԓСҪĽL
    150 /* CANTP_NAR */,     //շ·Ӱl͵ĕrg;  λmaintpfunction{
    10 /* CANTP_NBR */,
    150 /* CANTP_NCR */,
    CANTP_ON /* CANTP_PADDING_ACTIVATION */,
    CANTP_FUNCTIONAL /* CANTP_TA_TYPE */,   //܌ַ
    CANTP_STANDARD /* CANTP_ADDRESSING_FORMAT */,        //CAN ַ Ø˜ʵַ
    0 /* CANTP_BS */,   //؎SһBml͵CFĔ //؎SһBml͵CFĔ 0ʾٟoƎoƣ
    10 /* CANTP_STMIN */,   //؎Сgrg10ʾ10ms
    1 /* CANTP_WFTMAX */,   //շBmlͶقȴFC
    CANTP_UNUSED /* CANTP_RX_NAE */,        //όַģʽrĔUչַ
    CANTP_UNUSED /* CANTP_RX_NSA */,        //όַģʽrԴַ
    CANTP_UNUSED /* CANTP_RX_NTA */,        //όַģʽrĿ˵ַ
}
};



const CanTp_TxNsduCfgType CanTp_TxNsduCfg[CANTP_NUM_TX_SDUS] =
{
	{
        0 /*Tp Channel Num ͨid--tpӶ*/,
        ADPT_UDS_TX_HANDLE /* CANTP_TXNPDU_ID; to CanIf ԓ CanIfTxPduConfig е buf id*/,  //Ҫl lfӵ pdu id  CanIfTxPduConfig еbufidҿûиģ  CanIf_Transmit һ
        0 /* CANTP_RXFC_NPDU_ID; from CanIf */, //ʲN750 7df 
        1 /* CANTP_DL */,   //СҪl͵L
        150 /* CANTP_NAS */, ////lͷI·Ӱl͵ĕrg
        150 /* CANTP_NBS */, //lͷƎĵȴrg
        10 /* CANTP_NCS */, //lͷlBmgrg
        CANTP_ON /* CANTP_PADDING_ACTIVATION */,
        CANTP_PHYSICAL /* CANTP_TA_TYPE  ---l ֹܺ */,
        CANTP_STANDARD /* CANTP_ADDRESSING_FORMAT --˜ʣUչ*/,
        CANTP_UNUSED /* CANTP_RX_NAE */,
        CANTP_UNUSED /* CANTP_TX_NSA */,
        CANTP_UNUSED /* CANTP_TX_NTA */,
	}



};




const CanTpChannelModeType CanTpChannelMode[CANTP_CHANNELS]=
{
  {
		CANTP_MODE_HALF_DUPLEX
  },
};

