/**
	******************************************************************************
	* @file
	* @author
	* @version
	* @date
	* @brief
	* @function List:
	******************************************************************************
	* @attention
	*
	*
	* <h2><center>&copy; COPYRIGHT 2021 </center></h2>
	******************************************************************************
	* @History:
	* @Author:
	* @Data:
	* @Version:
*/

#if !defined(PDUR_DCM_H)
# define PDUR_DCM_H

/*********************************************************************************************************************/
/* Include Files                                                                                                     */
/*********************************************************************************************************************/
# include "PduR_Types.h"
/*********************************************************************************************************************/
/* Version    */                                                  
/*********************************************************************************************************************/

/*********************************************************************************************************************/
/* API declaration                                                                                                   */
/*********************************************************************************************************************/
//# if(PDUR_DCM_SUPPORT == STD_ON)

/**********************************************************************************************************************
| NAME:             PduR_DcmTransmit
| CALLED BY:        DCM
| DESCRIPTION:      See PDUR408 for a complete API description
**********************************************************************************************************************/
extern FUNC(Std_ReturnType, PDUR_CODE) PduR_DcmTransmit
                                  (
                                    PduIdType DcmTxPduId,
                                    PduInfoType* PduInfoPtr
                                  );
extern FUNC(Std_ReturnType, PDUR_CODE) PduR_DcmCancelTransmitRequest
( 
    PduIdType id 
);
                                                                                                            
#endif /* !defined(PDUR_DCM_H) */


