/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   :
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
#include "common_cfg.h"
#include "dma.h"
#include "adc.h"

/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------
- S T A T I C   V A R I A B L E S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
* G L O B A L   V A R I A B L E S
----------------------------------------------------------------------------*/
extern adc_s g_adc;


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/
const FL_DMA_InitTypeDef g_dma_for_adc_init_tab =
{
	FL_DMA_PERIPHERAL_FUNCTION1,  		/*! DMA外设映射地址 periphAddress*/
	FL_DMA_DIR_PERIPHERAL_TO_RAM, 		/*! DMA传输方向 direction*/
	FL_DMA_MEMORY_INC_MODE_INCREASE, 	/*! RAM地址增长方向 memoryAddressIncMode*/
	0u,									/*! RAM地址增长方向 flashAddressIncMode*/
	FL_DMA_BANDWIDTH_16B,				/*! DAM传输通道数据位宽 dataSize*/
	FL_DMA_PRIORITY_HIGH,				/*! DMA通道优先级 */
	FL_ENABLE,							/*! 循环模式使能 */
};

#ifdef ADC_ENABLE_DMA_MODE
const FL_DMA_ConfigTypeDef g_dma_for_adc_cfg_tab =
{
	(uint32_t)&g_adc.init_value[0], /*! RAM地址 memoryAddress*/
	sizeof(g_adc.init_value) /  sizeof(adc_org_value_t) - 1u  /*! DMA传输数据字节个数 transmissionCount*/
};
#endif

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/



