/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   :
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/
#ifndef EEPROM_SM_CFG_H__
#define EEPROM_SM_CFG_H__

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
#include "common_cfg.h"
#include "fm33lg0xx_fl.h"
#include "gpio.h"
#include "eeprom.h"
#include "eeprom_seq.h"

#ifdef NVM_EEPROM_EXT_EN

/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/

void eeprom_area_init(u8 area_id);
void eeprom_area0_init(void);
void eeprom_area1_init(void);
void eeprom_state_machine_task(u8 area_id);


void eeprom_state_machine_area_resatrt(u8 area_id);
void eeprom_state_machine_resatrt(void);
u8 eeprom_state_machine_area_get_result(u8 area_id);
u8 eeprom_state_machine_area_get_all_result_ok(void);
u8 eeprom_state_machine_area_get_all_ready(void);


#endif

#endif /* __EEPROM_H */

/*******************************END OF FILE************************************/
