/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   :
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "rmu.h"
#include "common_cfg.h"
#include "nvm.h"


/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- S T A T I C   V A R I A B L E S
----------------------------------------------------------------------------*/
MEMORY_MAP_RAM_FLAG_NOINIT u8 g_rmu_flag[4] ={0u};


/*---------------------------------------------------------------------------
* G L O B A L   V A R I A B L E S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/




/*---------------------------------------------------------------------------
|Prototype          :
|Called by          :
|Preconditions      :
|Input parameters   :
|Output parameters  :
|Return value       :
|Description        : 初始化
----------------------------------------------------------------------------*/
void rmu_init(void)
{
    u8 l_result =0u;
    #if 0
    if(FL_RMU_IsActiveFlag_PRCN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PRCN(RMU);
        g_rmu_flag[0]++;
    }
    if(FL_RMU_IsActiveFlag_PORN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PORN(RMU);
        g_rmu_flag[1]++;
    }
    if(FL_RMU_IsActiveFlag_PDRN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PDRN(RMU);
        g_rmu_flag[2]++;
    }
    #else
    if(FL_RMU_IsActiveFlag_PRCN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PRCN(RMU);
        l_result=1u;
        g_rmu_flag[0]++;
    }
    if(FL_RMU_IsActiveFlag_PORN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PORN(RMU);
        l_result=2u;
        g_rmu_flag[1]++;
    }
    if(FL_RMU_IsActiveFlag_PDRN(RMU) == 1u)
    {
        FL_RMU_ClearFlag_PDRN(RMU);
        l_result=3u;
        g_rmu_flag[2]++;
    }
    if( l_result != 0u )
    {
        #ifdef NVM_EEPROM_EXT_EN
        eeprom_ext_clear_flag();
        #endif
        //#ifdef NVM_EXTERN_EEPROM_EN
        //extern_eeprom_ext_clear_flag();
        //#endif
		//fault_detect_init();
    }
    #endif

    //FL_RMU_PDR_SetThreshold(RMU,FL_RMU_PDR_THRESHOLD_1P55V);
    FL_RMU_PDR_Enable(RMU);
    //FL_RMU_PDR_Disable(RMU);

    FL_RMU_BOR_SetThreshold(RMU,FL_RMU_BOR_THRESHOLD_2P00V);
    FL_RMU_BOR_Enable(RMU);
}

/*---------------------------------------------------------------------------
|Prototype          :
|Called by          :
|Preconditions      :
|Input parameters   :
|Output parameters  :
|Return value       :
|Description        :
----------------------------------------------------------------------------*/
u8 rmu_get_value(u8 id)
{
    return g_rmu_flag[id];
}


/*---------------------------------------------------------------------------
|Prototype          :
|Called by          :
|Preconditions      :
|Input parameters   :
|Output parameters  :
|Return value       :
|Description        :
----------------------------------------------------------------------------*/
void rmu_task(void)
{

}


