/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   : 1.0
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/

#include "common_types.h"
#include "common_cfg.h"
#include "svd.h"

/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- S T A T I C   V A R I A B L E S
----------------------------------------------------------------------------*/
u8 SVDState = SPOWERON; //svd检测状态


/*---------------------------------------------------------------------------
* G L O B A L   V A R I A B L E S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
|Prototype          :
|Called by          :
|Preconditions      :
|Input parameters   :
|Output parameters  :
|Return value       :
|Description        :  SVD中断
----------------------------------------------------------------------------*/
void SVD_IRQHandler(void)
{
    if(FL_SET == FL_SVD_IsActiveFlag_PowerFall(SVD))        //欠压中断
    {
        FL_SVD_ClearFlag_PowerFall(SVD);
        SVDState = SPOWEROFF;
        SystemSoftwareReset();
    }
    else if(FL_SET == FL_SVD_IsActiveFlag_PowerRise(SVD))   //欠压恢复中断
    {
        FL_SVD_ClearFlag_PowerRise(SVD);
        SVDState = SPOWERON;
        SystemSoftwareReset();
    }
    else
    {
        //
    }
}




