/**********************************************************************************************************************
 *  COPYRIGHT
 *  -------------------------------------------------------------------------------------------------------------------
 *  \verbatim
 *  Copyright (c) 2007-2014 by Vector Informatik GmbH.                                             All rights reserved.
 *
 *                This software is copyright protected and proprietary to Vector Informatik GmbH.
 *                Vector Informatik GmbH grants to you only those rights as set out in the license conditions.
 *                All other rights remain with Vector Informatik GmbH.
 *  \endverbatim
 *  -------------------------------------------------------------------------------------------------------------------
 *  FILE DESCRIPTION
 *  -------------------------------------------------------------------------------------------------------------------
 *         File:  CanNm.c
 *    Component:  AUTOSAR CAN Network Management
 *       Module:  AUTOSAR Network Management
 *    Generator:  -
 *
 *  Description:  Source of AUTOSAR CAN Network Management
 *                AUTOSAR Release 3.0
 *  
 *********************************************************************************************************************/
#include "Can_BusOffCfg.h"



/*Fast Recover times*/
CONST(uint16,CAN_BUSOFF_CONFIG_CONST) 
    nmBusOffFastRecoveryAry[CAN_USED_CONTROLLER_NUM] =
{
    10
};

/*Slow Recover times*/ 
CONST(uint16,CAN_BUSOFF_CONFIG_CONST) 
    nmBusOffSlowRecoveryAry[CAN_USED_CONTROLLER_NUM] = 
{
    0xffff
};


CONST(nmTimerCntType,CAN_BUSOFF_CONFIG_CONST) 
    nmCountBusoffFastTimerAry[CAN_USED_CONTROLLER_NUM] = 
{
    100
};

CONST(nmTimerCntType,CAN_BUSOFF_CONFIG_CONST) 
    nmCountBusoffSlowTimerAry[CAN_USED_CONTROLLER_NUM] = 
{
    1000
};