/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   : 
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/

#ifndef BOOT_APP_H__
#define BOOT_APP_H__


/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
#include "boot_app_cfg.h"


/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/
//片区开头的标志
//extern  const u8 AppValid[16]  ;  // APP_VALID_FLAG1_ADDR
/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/
void boot_app_init(void);
void boot_app_task(void);

void  boot_app_jump_to_app(void);

extern void Boot_ResetProcess(void);

extern void Boot_ReprogramCallBack(void);

extern void Boot_ResetMCUCallBack(void);

extern u8 Boot_FingerprintCallBack(u8 * readBuf,u32 readSize);
void Boot_Reprogram_only_writeram(void);

void boot_app_test(void);




#endif   /*  __BOOT_APP_H__  */






