/**
	******************************************************************************
	* @file
	* @author
	* @version
	* @date
	* @brief
	* @function List:
	******************************************************************************
	* @attention
	*
	*
	* <h2><center>&copy; COPYRIGHT 2021 </center></h2>
	******************************************************************************
	* @History:
	* @Author:
	* @Data:
	* @Version:
*/

#if !defined(CANTP_CFG_H)
#define CANTP_CFG_H

/*******************************************************************************
*   Includes
*******************************************************************************/
#include "CanIf.h"
#include "PduR_CanTp.h"

#define CANTP_VERSION_INFO_API               STD_OFF
#define CANTP_DEV_ERROR_DETECT               STD_OFF
#define CANTP_PROD_ERROR_DETECT              STD_ON
#define CANTP_TC                             STD_ON
#define CANTP_MAIN_FUNCTION_PERIOD           5u

#define CANTP_FILLPATTERN                   0xAAu	//]õֵ  

#define CANTP_CHANNELS                              1u		//ʾǣ l һͨmainfunction  --ܾͨP߉݋ͨ


#define CANTP_NUM_RX_SDUS                   2u			//Ѓ SDUS քeǹܺ팤ַ
#define CANTP_NUM_TX_SDUS                   1u			//TX 쑪

#define CANTP_NUM_RX_CHANNELS                CANTP_CHANNELS 	//CANTPģK 춽N-SDUͨ  ʲN1  ɲ/*CanIfRxPduHrhIdRef*/  // CanHardwareObjectConfig[0] ֻ
#define CANTP_NUM_TX_CHANNELS                CANTP_CHANNELS  	//CANTPģK 춰lN-SDUͨ  ʲN1

#define CanTp_CanInterruptDisable()     Can_DisableGlobalInterrupts()
#define CanTp_CanInterruptRestore()    Can_EnableGlobalInterrupts()

#define CanTp_CanTransmit(txSduIdx,pduInfo)    CanIf_Transmit(txSduIdx,pduInfo)
#define CanTp_CanCancelTransmit(txSduIdx)       CanIf_CancelTransmit(txSduIdx)

//ׂஔ {dcmĽӿ
#define CanTp_NUSDataIndication(rxSduIdx,canTpErrorCode)  {PduR_CanTpRxIndication(rxSduIdx,canTpErrorCode);CanTp_ChannelInit(CANTP_RXTPCHANNEL_ID(rxSduIdx));}

#define CanTp_NUSDataConfirm(txSduIdx,canTpErrorCode)       PduR_CanTpTxConfirmation(txSduIdx,canTpErrorCode)
#define CanTp_NUSDataFFIndication(rxSduIdx,length,bufferSizePtr)   PduR_CanTpStartOfReception(rxSduIdx,length,bufferSizePtr)

#define CanTp_NUSDataSFIndication(rxSduIdx,length,bufferSizePtr)   PduR_CanTpStartOfReception(rxSduIdx,length,bufferSizePtr)


#define CanTp_CopyRxData(rxSduIdx,pduInfo,bufferSizePtr)   PduR_CanTpCopyRxData(rxSduIdx,pduInfo,bufferSizePtr)

#define CanTp_CopyTxData(txSduIdx,pduInfo,NULL_PTR,bufferSizePtr)   PduR_CanTpCopyTxData(txSduIdx,pduInfo,NULL_PTR,bufferSizePtr)





/***************yԇõ****************************/
//#define CAN_TP_DEBUG 1  //DEBUG yԇP


//#define CAN_TP_IN_TEST  1   //TPӃȲyԇ

#endif /* CANTP_CFG_H */
