/**
	******************************************************************************
	* @file
	* @author
	* @version
	* @date
	* @brief
	* @function List:
	******************************************************************************
	* @attention
	*
	*
	* <h2><center>&copy; COPYRIGHT 2021 </center></h2>
	******************************************************************************
	* @History:
	* @Author:
	* @Data:
	* @Version:
*/
#ifndef _PduR_h_
#define _PduR_h_


/*#include "Mem_Map.h"*/
#include "PduR_Types.h"
/*********************************************************************************************************************/
/* Module Identificatiion                                                                                            */
/*********************************************************************************************************************/
#define PduR_NumOfCOMTxObj    COM_TXIPDUNUM 		//com層定義的非診斷 發送報文的id
#define PduR_NumOfCanIfRxObj  26u  					//没有用到，好奇怪；
#define PduR_NumOfCanTpRxSDU  CANTP_NUM_RX_SDUS     //診斷的rx，CANID個數，本工程分別是 750 7df

#define   PDUR_NULL   ((void*)0)
typedef   uint16  PduR_PathIndex;
//extern const PduRRoutingTable*      gPduRRoutTableComPtr;
//extern void PduR_Init(const PduR_PBConfigType* ConfigPtr);

/* 按照COM Tx(CANIf CanTP ， LINIf LINTP ，FrIf FrTP)順序*/
extern const PduRRoutingTableIndexType  PduRComRoutingTableIndex[];

/* 按照DCM Tx 順序*/   /*最小路由*/
extern const PduRRoutingTableIndexType  PduRDcmRoutingTableIndex[2];

/* 按照CanIf Rx 順序*/
extern const PduRRoutingTableIndexType  PduRCanIfRoutingTableIndex[PduR_NumOfCanIfRxObj];

/* 按照CanTp Rx 順序*/
//extern const PduRRoutingTableIndexType  PduRCanTpRoutingTableIndex[18];///hhhhh
//extern const PduRRoutingTableIndexType  PduRCanTpRoutingTableIndex[PduR_NumOfCanTpRxSDU];///hhhhh

extern const PduRDestPdu_Type  PduRDestPduHandles[];
extern const PduRSrcPdu_Type PduRSrcPduHandles[];

//extern const PduRRoutingTableIndexType  PduRComRoutingTableIndex[PduR_NumOfCOMTxObj];

#endif /*_PduR_h_ */
