/** ##########################################################################
**     Filename  : SimpleOs_TimeCfg.h
**     Project   :
**     Module    :
**     Processor :
**     Version   : 1.0
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date        Ver      Author             Description

**  -20231103-  V01-- --Linboyi---            --初版--
** #########################################################################*/
#ifndef SAMPLE_OS_TIME_CFG_H
#define SAMPLE_OS_TIME_CFG_H




/*****************************************************************************
* I N C L U D E   F I L E S
*****************************************************************************/
#include "common_types.h"
/*****************************************************************************
* D E F I N E S / M A C R O S
*****************************************************************************/



/*****************************************************************************
* T Y P E   D E F I N I T I O N S
*****************************************************************************/
#define OSTIME_TICKS(x)	((uint16_t)(((uint32_t)(x) /(uint32_t)1000)))

#define OSTIME_STOPTICKS	(0xFFFFu)

/*****************************************************************************
* G L O B A L   V A R I A B L E S
* only configuration table allowed here,variables are not allowed!
*****************************************************************************/

/*****************************************************************************
* C O N S T A N T S
*****************************************************************************/

/*****************************************************************************
* F U N C T I O N   P R O T O T Y P E
*****************************************************************************/
#endif