/**
 * @copyright: KUWE technologies Co.,Ltd. 2013-2015.all rights reserved.
 * @file: system_config.h
 * @brief: 用于系统的配置，
 * @author:
 * @version: V1.0.0
 * @date: 2014-03-15
 * @history:
 *      1.
 *	author:
 *	version:V1.0.0
 *	date:2014-03-15
 *	modification:初版
 */

#ifndef _SYSTEM_CONFIG_H_
#define _SYSTEM_CONFIG_H_

#include "tim.h"
//#include "common_timer.h"


#if 0
//主任务的时间
#define APP_TASK_1MS   1u
#define APP_TASK_2MS   2u
#define APP_TASK_5MS   5u
#define APP_TASK_10MS   10u
#define APP_TASK_100MS   100u
#endif




//#define ADC_PL1_EN

//功能相关的宏--车辆状态
#define CAN_APP_USE_VEHICLE_STATE_SIGNAL  1

//测试pwm
//#define CAN_APP_USE_PWM  1

//#define TEST_SLEEP 1

//#define HAEDWARE_VERSION_DEMO 0
#define HAEDWARE_VERSION_SA2FC 1
#define HAEDWARE_VERSION_B_0 2  //B样第一次；


#define HAEDWARE_VERSION_TYPE   HAEDWARE_VERSION_B_0



#define DEFAULT_GOTO_APP_DEFAULT_SEESION_78   //当跳转到APP前，先只发送78,要在app做逻辑


#define OUTPUT_MD_SET()  //{DDRP_DDRP0=1;}
#define OUTPUT_MD_ON()  //{PTP_PTP0=1;}
#define OUTPUT_MD_OFF() //{PTP_PTP0=0;}

#define HAEDWARE_VERSION_V0_1   1u
#define HAEDWARE_VERSION_V0_2   2u
#define HAEDWARE_VERSION_NUMBER   HAEDWARE_VERSION_V0_2


#endif  //_SYSTEM_CONFIG_H_