/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   : 1.0
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/

#ifndef Cpu_H__
#define Cpu_H__

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
#include "fm33lg0xx.h"

#include "fm33lg0xx_fl.h"
#if defined(USE_FULL_ASSERT)
#include "fm33_assert.h"
#endif /* USE_FULL_ASSERT */
#include "assert.h"

/*Include shared modules, which are used for whole project*/
#if 0
#include "device_registers.h"

#include "interrupt_manager.h"
#include "clock.h"
#include "osif.h"
#include "lin_driver.h"
#include "lin_common_api.h"
#include "edma_driver.h"
#include "lptmr_driver.h"
/* Including needed modules to compile this module/procedure */
#include "lin_cfg.h"
#include "lin1.h"
#include "lin2.h"
//#include "clockMan1.h"
//6#include "pin_mux.h"
//#include "dmaController1.h"
#include "lpTmr1.h"
#endif
/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/
void cpu_get_opt_bytes(void);
void System_EnableIrqGlobal(void);
void System_DisableIrqGlobal(void);

/* END Cpu. */

#endif
/* Cpu_H */

