/** ##########################################################################
**     Filename  : XXXXXXX.h
**     Project   : General
**     Module    : bsp
**     Processor : General
**     Version   : V1.0
**     Compiler  : General
**     Date/Time : 2020/7/13
**     Abstract  :
**
**     Contents  :
**
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  ---------  ----  -----------------  --------------------------------------
** #########################################################################*/
#ifndef _KEY_MID_CFG_H_
#define _KEY_MID_CFG_H_

/*****************************************************************************
* I N C L U D E   F I L E S
*****************************************************************************/


#include "common_cfg.h"
#include "adc.h"
#include "key_adc_driver_cfg.h"
#include "key_com_cfg.h"


#define KEY_ADC_MID_EASY  1

#define KEY_ADC_ID_1  0u
#define KEY_ADC_ID_2  1u
#define KEY_ADC_ID_3  2u
#define KEY_ADC_ID_4  3u
#define KEY_ADC_ID_5  4u
#define KEY_ADC_ID_6  5u
#define KEY_ADC_ID_7  6u
#define KEY_ADC_ID_8  7u
#define KEY_ADC_ID_9  8u
#define KEY_ADC_ID_10  9u
#define KEY_ADC_ID_11  10u
#define KEY_ADC_ID_12  11u
#define KEY_ADC_ID_13  12u
#define KEY_ADC_ID_14  13u
#define KEY_ADC_ID_15  14u
#define KEY_ADC_ID_16  15u
#define KEY_ADC_ID_17  16u
#define KEY_ADC_ID_18  17u
#define KEY_ADC_ID_19  18u
#define KEY_ADC_ID_20  19u
#define KEY_ADC_ID_21  20u
#define KEY_ADC_ID_22  21u





//HXHA排序
#define KEY_ADC_ID_S11  0u
#define KEY_ADC_ID_S12  1u
#define KEY_ADC_ID_S13  2u
#define KEY_ADC_ID_S9  3u
#define KEY_ADC_ID_S10  4u
#define KEY_ADC_ID_S7 5u
#define KEY_ADC_ID_S8  6u
#define KEY_ADC_ID_S14  7u

//HXHA排序
#define KEY_ADC_ID_LMENU  KEY_ADC_ID_S11   //左菜单
#define KEY_ADC_ID_VEDIO  KEY_ADC_ID_S12   //影像
#define KEY_ADC_ID_CUSTOM  KEY_ADC_ID_S13   //高配为巡航 低配为定制

#define KEY_ADC_ID_RES_SPD_ADD  KEY_ADC_ID_S9   //速度+/复位
#define KEY_ADC_ID_SET_SPD_SUB KEY_ADC_ID_S10   //速度-/设定

#define KEY_ADC_ID_DSP_SUB  KEY_ADC_ID_S7   //时距- 
#define KEY_ADC_ID_DSP_PLUS  KEY_ADC_ID_S8   //时距+ 

#define KEY_ADC_ID_LPICK  KEY_ADC_ID_S14   // 左拨片

#define KEY_ADC_ID_MAX  8u




typedef struct
{
	u16 long_press;  //長按時間
	u16 stick_press;  //卡滯時間
}key_adc_time_cfg_s;

extern const key_adc_time_cfg_s g_key_adc_mid_time_cfg[KEY_ADC_ID_MAX] ;


//#define KEY_ADC_MID_INIT_INVALID   //上电初始化，如果不是弹起，认为无效

//#define KEY_ADC_MID_DEBUG_STATE //模拟结果

#endif /* end _KEYBOARD_ADC_CFG_H_ */

/* [] END OF FILE */
