﻿/**~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
**	Filename  : eeprom_drive.h
**	Project   : KUWE (PM01 PEPS)
**	Module	  :
**	Processor : Freescale mc9s12g128
**	Date/Time : 2016-07-14, 9:00
**	Abstract  :
**	Contents  :
**	Author	  :
**	http	  :
**	mail	  :
**	--------------------------------------------------------------------------
**
**	--------------------------------------------------------------------------
**~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#ifndef	__NVM_CFG_H__
#define __NVM_CFG_H__

#include "common_types.h"
#include "boot_app_cfg.h"





#define FLASH_START_ADDR  0x00000000UL
#define FLASH_END_ADDR  (FLASH_ASW_MAX_ADDR-1u)   //目前是128k的单片机

#if 0
define symbol m_data_3_start           = 0x20006000;   //for eeprom
define symbol m_data_3_end             = 0x20006FFF;

define symbol m_data_6_start           = 0x20007FC0;        //for 編程會話標志
define symbol m_data_6_end             = 0x20007FCF;
#endif

//只能对这些区域写，安全
#define RAM_START_ADDR  0x20007FC0
#define RAM_END_ADDR  0x20007FCF


//#define NVM_FLASH_DEBUG_EN  1


#ifdef NVM_FLASH_DEBUG_EN
void nvm_falsh_init(void);
void nvm_flash_test(void);
#endif




#endif
