/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   : 1.0
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/
#ifndef LS_NM_CFG_H_
#define LS_NM_CFG_H_

/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
//#include "os_types.h"
//#include "Std_Types.h"
#include "can_cfg.h"
#include "gpio.h"


#ifdef  CAN_AUTOSAR_EN
#include "Can_Type.h"
#else
typedef u16  PduIdType;
typedef u16  Can_IdType;
typedef u16  PduInfoType;
#endif

/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/
#define  LS_NM_MAINFUNCTION_PERIOD 	(1u)

#define NM_MAIN_BUSOFF_FAST_H  (90u/LS_NM_MAINFUNCTION_PERIOD)
#define NM_MAIN_BUSOFF_FAST_L  (10u/LS_NM_MAINFUNCTION_PERIOD)
#define NM_MAIN_BUSOFF_FAST_COUNT  (10u)

#define NM_MAIN_BUSOFF_SLOW_H  (990u/LS_NM_MAINFUNCTION_PERIOD)
#define NM_MAIN_BUSOFF_SLOW_L  (10u/LS_NM_MAINFUNCTION_PERIOD)

#define NM_RECV_ONLINE_INVALID  0u
#define NM_RECV_ONLINE_VALID  1u

#define LS_NM_IS_NOT_BUSOFF  0u
#define LS_NM_IS_BUSOFF  1u

#define LS_NM_GOTO_SLEEP  0u
#define LS_NM_GOTO_WAKEUP  1u

#define LS_NM_TEST_IO_ON()  //TEST1_ON()
#define LS_NM_TEST_IO_OFF()  //TEST1_OFF()

//#define LS_NM_DEBUG_EN 1

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/




#endif