/** ##########################################################################
**     Filename  :
**     Project   :
**     Module    :
**     Processor :
**     Version   :
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.0--  --mingyea---  --修改--

** #########################################################################*/
#ifndef NVIC_CFG_H__
#define NVIC_CFG_H__


/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/
#define CPU_CFG_KA_IPL_BOUNDARY_11x  0


/*中斷優先級配置*/

#define NVIC_PRIORITY_CLK   (CPU_CFG_KA_IPL_BOUNDARY_11x)
#define NVIC_PRIORITY_PVD   (CPU_CFG_KA_IPL_BOUNDARY_11x)
#define NVIC_PRIORITY_SVD   (CPU_CFG_KA_IPL_BOUNDARY_11x)

#define NVIC_PRIORITY_CAN   (CPU_CFG_KA_IPL_BOUNDARY_11x+1)

#define NVIC_PRIORITY_LIN   (CPU_CFG_KA_IPL_BOUNDARY_11x+2)
#define NVIC_PRIORITY_USART   (CPU_CFG_KA_IPL_BOUNDARY_11x+2)

#define NVIC_PRIORITY_TIM  (CPU_CFG_KA_IPL_BOUNDARY_11x+3)
#define NVIC_PRIORITY_ADC   (CPU_CFG_KA_IPL_BOUNDARY_11x+3)

#define NVIC_PRIORITY_GPIO   (CPU_CFG_KA_IPL_BOUNDARY_11x+3)
#define NVIC_PRIORITY_RTC   (CPU_CFG_KA_IPL_BOUNDARY_11x+3)
#define NVIC_PRIORITY_WDOG   (CPU_CFG_KA_IPL_BOUNDARY_11x+3)

#define NVIC_PRIORITY_PWM   (CPU_CFG_KA_IPL_BOUNDARY_11x+3)

#define NVIC_PRIORITY_USART0   NVIC_PRIORITY_USART
#define NVIC_PRIORITY_USART1   NVIC_PRIORITY_USART
#define NVIC_PRIORITY_USART2   NVIC_PRIORITY_USART
#define NVIC_PRIORITY_USART3   NVIC_PRIORITY_USART
#define NVIC_PRIORITY_USART4   NVIC_PRIORITY_USART
#define NVIC_PRIORITY_USART5   NVIC_PRIORITY_USART


#if 0
#define NVIC_PRIORITY_TIM0  NVIC_PRIORITY_TIM
#define NVIC_PRIORITY_TIM1  NVIC_PRIORITY_TIM

#define NVIC_PRIORITY_ADC0   NVIC_PRIORITY_ADC
#define NVIC_PRIORITY_ADC1   NVIC_PRIORITY_ADC
#define NVIC_PRIORITY_ADC2   NVIC_PRIORITY_ADC
#define NVIC_PRIORITY_ADC3   NVIC_PRIORITY_ADC

#define NVIC_PRIORITY_EXTI0  NVIC_PRIORITY_GPIO

#define NVIC_PRIORITY_CAN0_TX   NVIC_PRIORITY_CAN
#define NVIC_PRIORITY_CAN0_RX0  NVIC_PRIORITY_CAN
#endif

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/



















#endif