/** ##########################################################################
**     Filename  : queue_entity_cfg.h
**     Project   :
**     Module    :
**     Processor :
**     Version   : 1.2
**     Compiler  :
**     Date/Time :
**     Abstract  :
**     Contents  :
**     Note      :
**
**     (c) Copyright dmdz Co.,Ltd
**  --------------------------------------------------------------------------
**               R E V I S I O N   H I S T O R Y
**  --------------------------------------------------------------------------
**  Date       Ver   Author             Description

**  -20230602-  --V1.2--  --mingyea---  --修改--

** #########################################################################*/
#ifndef  QUEUE_ENTITY_CFG__H
#define  QUEUE_ENTITY_CFG__H

/*lint -e749 */ /* 枚舉 not referenced*/
/*lint -e750 */ /* 宏 not referenced*/
/*lint -e751 */ /* 變量 not referenced*/
/*lint -e752 */ /* 函數 not referenced*/
/*lint -e754 */ /* 結構體成員 not referenced*/


/*---------------------------------------------------------------------------
- I N C L U D E   F I L E S
----------------------------------------------------------------------------*/
#include "common_types.h"
#include "cpu.h"

/*---------------------------------------------------------------------------
- D E F I N E S / M A C R O S
----------------------------------------------------------------------------*/
/*#define QUEUE_MOD_ENABLE 1 */ /*開啟求余運算*/
//#define QUEUE_MOD_ENABLE 1  /*開啟求余運算*/


#define QUEUE_SWITCH_CONTEXT_ENABLE  1u 	 /*隊列操作時開啟上下文切換*/

//注意--上下文切换
#ifdef QUEUE_SWITCH_CONTEXT_ENABLE
#define QUEUE_CPU_SR_ALLOC()  CPU_SR_ALLOC()
#define QUEUE_CPU_CRITICAL_ENTER()	ENTER_CRITICAL()
#define QUEUE_CPU_CRITICAL_EXIT()  EXIT_CRITICAL()
#else
#define 	QUEUE_CPU_SR_ALLOC()
#define 	QUEUE_CPU_CRITICAL_ENTER()
#define 	QUEUE_CPU_CRITICAL_EXIT()
#endif

/*---------------------------------------------------------------------------
- T Y P E   D E F I N I T I O N S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- G L O B A L   V A R I A B L E S
- only configuration table allowed here,variables are not allowed!
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- C O N S T A N T S
----------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
- F U N C T I O N   P R O T O T Y P E
----------------------------------------------------------------------------*/


#endif  /* QUEUE_ENTITY_CFG__H */

/* [] END OF FILE */
